docker-compose-remote-api 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1962702 漏洞类型 注入
发布时间 2020-03-15 更新时间 2020-03-24
CVE编号 CVE-2020-7606 CNNVD-ID CNNVD-202003-934
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-202003-934
|漏洞详情
docker-compose-remote-api是一款Docker-Compose和Docker Remote API之间的连接接口。 docker-compose-remote-api 0.1.4及之前版本中存在安全漏洞,该漏洞源于‘exec(serviceName, cmd, fnStdout, fnStderr, fnExit)’函数没有进行清理操作就使用了‘serviceName’变量。攻击者可利用该漏洞执行任意命令。
|参考资料

来源:MISC

链接:https://snyk.io/vuln/SNYK-JS-DOCKERCOMPOSEREMOTEAPI-560125


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-7606